Skip to main content
Transaction Status by ID

Headers

string
required
Your WalletKit Project ID can be found on the API Keys page in the WalletKit Dashboard.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string | null

transaction id returned in POST requests that result in a transaction. e.g. Transfer Token

Response

transaction_id
string
required
network
enum<string>
required
Available options:
Ethereum,
Polygon,
Base,
Avalanche,
Polkadot,
Vara
status
string
required
transaction_hash
string | null

If the transaction has been sent to the blockchain (status = pending/success/failed), this field will be populated with the transaction hash.

contract_address
string | null

If the transaction is a contract creation, this field will be populated with the contract address.